Unable to edit provisioning profile and add a device to it #80

Closed
aqscucumber opened this Issue Oct 15, 2013 · 1 comment

1 participant

@aqscucumber

Adding a device to provisioning profile is giving error both through the editor and by giving as command line argument.
Command I am running:
ios profiles:devices:add MyDevProfile "My iPhone 4S"=320783e2dd66f8c9fd2fe8bc8.... --trace

/Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/mechanize-2.5.1/lib/mechanize/http/agent.rb:304:in `fetch': 500 => Net::HTTPInternalServerError for https://developer.apple.com/services-developerportal/QH65B2/account/ios/profile/regenProvisioningProfile.action?content-type=text/x-url-arguments&accept=application/json&requestId=9e1dccd3-25b1-49d4-beeexxxxxxx&userLocale=en_US&teamId=8P74HXXX -- unhandled response (Mechanize::ResponseCodeError)
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/mechanize-2.5.1/lib/mechanize.rb:1229:in `post_form'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/mechanize-2.5.1/lib/mechanize.rb:515:in `submit'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/mechanize-2.5.1/lib/mechanize/form.rb:178:in `submit'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/cupertino-0.9.0/lib/cupertino/provisioning_portal/agent.rb:244:in `manage_devices_for_profile'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/cupertino-0.9.0/lib/cupertino/provisioning_portal/commands/profiles.rb:138:in `block (2 levels) in <top (required)>'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/commander-4.1.5/lib/commander/command.rb:180:in `call'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/commander-4.1.5/lib/commander/command.rb:180:in `call'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/commander-4.1.5/lib/commander/command.rb:155:in `run'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/commander-4.1.5/lib/commander/runner.rb:400:in `run_active_command'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/commander-4.1.5/lib/commander/runner.rb:78:in `run!'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/commander-4.1.5/lib/commander/delegates.rb:11:in `run!'
    from /Users/aqeel/.rvm/gems/ruby-1.9.2-p320/gems/commander-4.1.5/lib/commander/import.rb:10:in `block in <top (required)>'

PS: The device is already added and registered

@aqscucumber

Looks like its already fixed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment